Summary:        Debian's Advanced Packaging Tool with RPM support
Name: 		apt
Version: 	0.5.15lorg1
Release: 	3
Group: 		Libraries
License: 	GPL
URL:		http://apt-rpm.org/
Source0: 	http://apt-rpm.org/releases/%{name}-%{version}.tar.bz2
Source1:	%{name}.conf
Source2:	rpmpriorities
Source3:	sources.list
Source4:	vendors.list
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	rpm-devel bzip2-devel zlib-devel db1-devel popt-devel glibc-devel cvs
Provides: 	libapt

%description
A port of Debian's apt tools for RPM based distributions,
or at least for Conectiva. It provides the apt-get utility that
provides a simpler, safer way to install and upgrade packages.
APT features complete installation ordering, multiple source
capability and several other unique features.

Make sure to run: 'rm -f /var/cache/apt/*.bin' when installing
over and old or previously used apt installation.

-
rpmpriorities:
Note lk: Indent - Regular expression -0.*  (spaces between all) 
svn checkout https://oops.kerneljanitors.org/repos/apt-rpm

%package 	devel
Summary: 	Development files and documentation for APT's libapt-pkg
Group: 		Development
Provides:	libapt-devel

%description 	devel
This package contains the header files for developing with APT's 
libapt-pkg package manipulation library, modified for RPM.

%prep
%setup -q

%build
autoreconf -f -i
%configure --disable-static --disable-static-progs --disable-nls --without-included-gettext --disable-docs
make

%install
rm -fr %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_localstatedir}/cache/apt/archives/partial
mkdir -p %{buildroot}%{_localstatedir}/cache/apt/genpkglist
mkdir -p %{buildroot}%{_localstatedir}/cache/apt/gensrclist
mkdir -p %{buildroot}%{_localstatedir}/state/apt/lists/partial
mkdir -p %{buildroot}%{_sysconfdir}/apt
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/apt
cp %{SOURCE2} %{buildroot}%{_sysconfdir}/apt
cp %{SOURCE3} %{buildroot}%{_sysconfdir}/apt
cp %{SOURCE4} %{buildroot}%{_sysconfdir}/apt
touch %{buildroot}%{_sysconfdir}/apt/preferences

%triggerun -- apt < 0.5.15lorg1
CONF=/etc/apt/apt.conf
if [ -f $CONF ]; then
   mv $CONF $CONF.rpmold
   sed -e 's/HoldPkg/Hold/' \
       -e 's/AllowedDupPkgs/Allow-Duplicated/' \
       -e 's/IgnorePkgs/Ignore/' \
       -e 's/PostInstall/Post-Install/' \
       -e 's%Methods .*%Methods "/usr/lib/apt/methods";%' \
       $CONF.rpmold > $CONF
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING* AUTHORS* doc/examples/configure-index
%{_sysconfdir}
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_localstatedir}
%{_libdir}/apt
%{_bindir}

%files devel
%defattr(-,root,root)
%{_includedir}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %date - linuxkid alinux@alinux.tv
- updated Community sources.list